<div class="filter-container">

  <app-filter-sort-zone
  [(inputData)]="input"
  [(SortbyParam)]="SortbyParam" 
  [(SortDirection)]="SortDirection"
  ></app-filter-sort-zone>
  <app-color-list-button
  [id]="id"
  >
  </app-color-list-button>
  </div>
  <app-comments
  *ngIf="modalTaskService.isModalShowCommentsComponent===true"
  [style.display]="modalTaskService.visibility?'block':'none'"
  [id]="id"
  [idTaskForComments]="idTaskForComments"
  >
  </app-comments>
  <div class="wrapper"
  >

  <div 
  class="list-container-1"
  [draggable]="true"
  (drop)="onDropFromProgressToTodo($event, toDo)"
  (drop)="onDropFromDoneToTodo($event, toDo)" 
  (dragover)="onDragOver($event)"
  (dragleave)="onDragLeave($event)"  
  >
  <app-textarea *ngIf="modalTaskService.isModalOpenComments"
  [id]="id"
  ></app-textarea>
  <app-edit *ngIf="modalTaskService.isModalOpenUpdate"
  [id]="id"
  (newUpdateTask)="updateItemTask($event)"
  ></app-edit>
  <h2>ToDo</h2>
  <app-add-task *ngIf="modalTaskService.isModalTaskOpen"
  [id]="id"
  (newItemTask)="addItemTask($event)">
  </app-add-task>
  <button type="button"
  class="add-btn"
  (click)="modalTaskService.openModalTask('Todo')">+
  </button>
  <div *ngFor="let task of toDo | filter: input | sort: [SortbyParam,SortDirection];"
  class="task-container">
  <div 
  class="task-container_one-card"
      [draggable]="true"
      (dragstart)="dragStartDriverSch($event, task)" 
      (drop)="onDropFromProgressToTodoOnTask($event, task)"
      (drop)="onDropFromDoneToTodoOnTask($event, task)"
      (dragover)="onDragOver($event)" 
      (dragleave)="onDragLeave($event)"
      >
      <p class="task-content-1">
      {{task.name}}
      </p>
      <p class="task-content-2">
      {{task.createdDate | date: 'dd.MM.yyyy'}}
    </p>
  <button
  class="btn-comments"
    (click)="modalTaskService.getComments(task._id, task)">Show comments
  </button>
  </div>
      <ul class="container-list-task"
      (click)="modalTaskService.openModal(task._id, task)">
        <li class="list-task"><span></span></li>
        <li class="list-task"><span></span></li>
        <li class="list-task"><span></span></li>
      </ul>
    <app-modal [class.active]="task === modalTaskService.activeItem"
      (deleteItemTask)="deleteItemTask($event)"
      (editItemTask)="updateItemTask($event)"
      [id]="id">
    </app-modal>
  </div>
  </div>
  
  <div class="list-container-2"
  [draggable]="true"
  (drop)="onDropFromTodoToProgress($event, inProgress)"
  (drop)="onDropFromDoneToProgress($event, inProgress)" 
  (dragover)="onDragOver($event)"
  (dragleave)="onDragLeave($event)" 
  >
  <app-textarea *ngIf="modalTaskService.isModalOpenComments"
  [id]="id"
  ></app-textarea>
  <app-edit *ngIf="modalTaskService.isModalOpenUpdate"
  [id]="id"
  (newUpdateTask)="updateItemTask($event)"
  ></app-edit>
  <h2>In Progress</h2>
  <button type="button"
  class="add-btn"
  (click)="modalTaskService.openModalTask('In Progress')"
    >+</button>
  <div 
  *ngFor="let task of inProgress | filter: input | sort: [SortbyParam,SortDirection]" 
  class="task-container"
  >
      <div
      class="task-container_one-card"
      (dragstart)="dragStartTrailer($event, task)"
      [draggable]="true" 
      (drop)="onDropFromTodoToProgressOnTask($event, task)" 
      (drop)="onDropFromDoneToProgressOnTask($event, task)"
      (dragover)="onDragOver($event)" 
      (dragleave)="onDragLeave($event)"   
      >
      <p class="task-content-1">
        {{task.name}}
        </p>
        <p class="task-content-2">
        {{task.createdDate | date: 'dd.MM.yyyy'}}
      </p>
      <button
      class="btn-comments"
    (click)="modalTaskService.getComments(task._id, task)">Show comments
  </button>
  </div>
  <ul class="container-list-task"
  (click)="modalTaskService.openModal(task._id, task)">
  <li class="list-task"><span></span></li>
  <li class="list-task"><span></span></li>
  <li class="list-task"><span></span></li>
  </ul>
  <app-modal [class.active]="task === modalTaskService.activeItem"
  (deleteItemTask)="deleteItemTask($event)"
  (editItemTask)="updateItemTask($event)"
  [id]="id">
  </app-modal>
  </div>
  </div>
  
  <div class="list-container-3"
     [draggable]="true"
     (drop)="onDropFromProgressToDone($event, done)"
     (drop)="onDropFromTodoToDone($event, done)" 
     (dragover)="onDragOver($event)"
     (dragleave)="onDragLeave($event)"  
  >
  <app-textarea *ngIf="modalTaskService.isModalOpenComments"
  [id]="id"
  ></app-textarea>
  <app-edit *ngIf="modalTaskService.isModalOpenUpdate"
  [id]="id"
  (newUpdateTask)="updateItemTask($event)"
  ></app-edit>
  <h2>Done</h2>
  <app-arhive *ngIf="modalTaskService.isArchiveOpen"
  [id]="id"
  ></app-arhive> 
  <div>
  <button
  class="archive-btn"
  (click)="modalTaskService.showArchiveTasks()">Show Archive
  </button>
  <button type="button"
  class="add-btn"
    (click)="modalTaskService.openModalTask('Done')">+
  </button>
  </div>
  <div *ngFor="let task of done | filter: input | sort: [SortbyParam,SortDirection]"
  class="task-container">
    <div
    class="task-container_one-card"
     [draggable]="true"
     (dragstart)="dragStartDone($event, task)" 
     (drop)="onDropFromTodoToDoneOnTask($event, task)" 
    (drop)="onDropFromProgressToDoneOnTask($event, task)" 
     (dragover)="onDragOver($event)" 
     (dragleave)="onDragLeave($event)" 
    >
    <p class="task-content-1">
      {{task.name}}
      </p>
      <p class="task-content-2">
      {{task.createdDate | date: 'dd.MM.yyyy'}}
    </p>
    <button
    class="btn-comments"
    (click)="modalTaskService.getComments(task._id, task)">Show comments
  </button>
  </div>
    <ul class="container-list-task"
    (click)="modalTaskService.openModal(task._id, task)">
    <li class="list-task"><span></span></li>
    <li class="list-task"><span></span></li>
    <li class="list-task"><span></span></li>
    </ul>
  <app-modal [class.active]="task === modalTaskService.activeItem"
    (deleteItemTask)="deleteItemTask($event)"
    [class.active]="task === modalTaskService.activeItem"
    (editItemTask)="updateItemTask($event)"
    [id]="id">
    <button class="btn-archive"
    (click)="archiveTask(task)">Archive</button>
  </app-modal>
  </div>
  </div>
  
  </div>
  
  
  
  
  
  
  